/* cmd_global_delbot.c - NeonServ v5.6
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

#include "cmd_global.h"

/*
* argv[0]  nick/botid
*/

CMD_BIND(global_cmd_delbot) {
    MYSQL_RES *res;
    MYSQL_ROW row;
    printf_mysql_query("SELECT `id` FROM `bots` WHERE `nick` = '%s' OR `id` = '%s'", escape_string(argv[0]), escape_string(argv[0]));
    res = mysql_use();
    if((row = mysql_fetch_row(res)) == NULL) {
        reply(textclient, user, "NS_DELBOT_NOT_FOUND", argv[0]);
        return;
    }
    int botid = atoi(row[0]);
    printf_mysql_query("DELETE FROM `bots` WHERE `id` = '%s'", row[0]);
    printf_mysql_query("DELETE FROM `bot_binds` WHERE `botid` = '%s'", row[0]);
    printf_mysql_query("DELETE FROM `bot_channels` WHERE `botid` = '%s'", row[0]);
    for(client = getBots(0, NULL); client; client = getBots(0, client)) {
        if(client->clientid == botid) {
            close_socket(client);
            break;
        }
    }
    reply(textclient, user, "NS_DELBOT_DONE");
    logEvent(event);
}
